#include <iostream>
#include <math.h>
#include <stdlib.h>

using namespace std;

int main()
{
    int x,n;
    cin>>x>>n;
    int maxi=-100000000;
    int mini=100000000;
    for(int i=0;i<x;i++){
        int a;
        cin>>a;
        maxi=max(maxi,a);
        mini=min(mini,a);
    }
    int r;
    int r1=abs(n-mini);
    int r2=abs(n-maxi);
    if(mini>=n)
        r=r2;
    if(maxi<=n)
        r=r1;
    if((mini<n)&&(maxi>n)){
        int rmax=(r1>r2)?r1:r2;
        int rmin=(r1<r2)?r1:r2;
        r=2*rmin+rmax;
    }
    cout<<r;
    return 0;
}